Puppet Enterprise开放重定向漏洞

CVE编号

CVE-2016-5715

利用情况

暂无

补丁情况

N/A

披露时间

2017-01-13
漏洞描述
Puppet是一套基于客户端/服务器架构的配置管理工具,它可用于管理配置文件、用户、cron任务、软件包、系统服务等。

Puppet Enterprise存在开放重定向漏洞,允许攻击者构建恶意URI,诱使用户解析,重定向用户到任意WEB站点进行钓鱼攻击。
解决建议
用户可参考如下厂商提供的安全补丁以修复该漏洞:
https://puppet.com/security/cve/cve-2016-5715
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 puppet puppet * From
(including)
2015.2.0
Up to
(including)
2015.3.3
运行在以下环境
应用 puppet puppet * From
(including)
2016.1.1
Up to
(including)
2016.4.0
运行在以下环境
系统 debian DPKG * Up to
(excluding)
0
CVSS3评分
6.1
  • 攻击路径
    网络
  • 攻击复杂度
  • 权限要求
  • 影响范围
    已更改
  • 用户交互
    需要
  • 可用性
  • 保密性
  • 完整性
CWE-ID 漏洞类型
CWE-601 指向未可信站点的URL重定向(开放重定向)
阿里云安全产品覆盖情况